# Microsoft Developer Studio Generated NMAKE File, Based on php_602sql.dsp
!IF "$(CFG)" == ""
# Select default CFG:
#CFG=php_602sql - Win32 Debug
CFG=php_602sql - Win32 Release
!MESSAGE No configuration specified. Defaulting to $(CFG)
!ENDIF

# Do we want XML import/export functions in PHP module?
# See comments about ENABLE_XML_IMPORT_EXPORT define
# in mod602sql.c source file.
# Possible values are: 1 - enable this feature
#                      0 - disable this feature
ENABLE_XML_IMPORT_EXPORT=1

# Do we want wb_get_xml_response function in PHP module?
# See comments about ENABLE_XML_RESPONSE define
# in mod602sql.c source file.
# Possible values are: 1 - enable this feature
#                      0 - disable this feature
ENABLE_XML_RESPONSE=1

# Major version of 602SQL for which we will build PHP module
# valid values are
#    8 for 602SQL version 8.0 or 8.1
# or 9 for 602SQL version 9.0
# or 95 for 602SQL version 9.5
# or 10 for 602SQL version 10.0
# or 11 for 602SQL version 11.0
!IF "$(SQLVERMAJ)" == ""
SQLVERMAJ=95
!MESSAGE No 602SQL version specified. Defaulting to $(SQLVERMAJ).
!ENDIF

# 602SQL client libraries for Windows exist with various suffixes in their names since version 11.0
# empty suffix is for default 602SQL build
# fs suffix is for 602SQL build for 602XML Form Server
# gw suffix is for 602SQL build for 602LAN SUITE Groupware
SQLLIBSUFFIX=

# Module name (without .dll suffix)
MODNAME=php_602sql$(SQLVERMAJ)$(SQLLIBSUFFIX)
# Default PHP version number
PHPVER=4.3.1
PHPVERMAJ=4
# Directory with PHP sources
PHPSRCDIR="d:\\Apache\\php\\php-$(PHPVER)\\"
# Directory with PHP library (i.e. php4ts.lib)
PHPLIBDIR=$(PHPSRCDIR)
# Directory into which will be module copied.
DISTRIBDIR=distrib
# Directory with sources (mod602sql.c file is there)
SOURCEDIR=.
# Directory with 602SQL header files (wbkernel.h et al)
!IF $(SQLVERMAJ)==8
SQL602INCDIR="d:\\include\\winbase"
!ELSEIF $(SQLVERMAJ)==9
SQL602INCDIR="d:\\include\\602sql9"
!ELSEIF $(SQLVERMAJ)==95
SQL602INCDIR="d:\\include\\602sql95"
!ELSEIF $(SQLVERMAJ)==10
SQL602INCDIR="d:\\include\\602sql10"
!ELSE
SQL602INCDIR="d:\\include\\602sql11"
!ENDIF
# Directory with 602SQL library files (602krnl8.lib and 602prez8.lib, or 602krnl9.lib, or 602krnl95.lib, or 602krnl10.lib, or 602krnl11.lib)
SQL602LIBDIR="d:\\lib"

# 602SQL client libraries
!IF $(SQLVERMAJ)==8
!IF $(ENABLE_XML_IMPORT_EXPORT)==1
SQL602_LIBS=602krnl8.lib 602prez8.lib 602xml8.lib
!ELSE
SQL602_LIBS=602krnl8.lib 602prez8.lib
!ENDIF
!ELSEIF $(SQLVERMAJ)==9
!IF $(ENABLE_XML_IMPORT_EXPORT)==1
SQL602_LIBS=602krnl9.lib 602xml9.lib
!ELSE
SQL602_LIBS=602krnl9.lib
!ENDIF
!ELSEIF $(SQLVERMAJ)==95
!IF $(ENABLE_XML_IMPORT_EXPORT)==1
SQL602_LIBS=602krnl95.lib 602xml95.lib
!ELSEIF $(ENABLE_XML_RESPONSE)==1
SQL602_LIBS=602krnl95.lib 602xml95.lib
!ELSE
SQL602_LIBS=602krnl95.lib
!ENDIF
!ELSEIF $(SQLVERMAJ)==10
# We always use both libraries for version 10.
SQL602_LIBS=602krnl10.lib 602xml10.lib
!ELSEIF $(SQLVERMAJ)==11
# We always use both libraries for version 11.
SQL602_LIBS=602krnl11$(SQLLIBSUFFIX).lib 602xml11$(SQLLIBSUFFIX).lib
!ELSE
!ERROR Invalid SQLVERMAJ value "$(SQLVERMAJ)".
!ENDIF

!IF "$(CFG)" != "php_602sql - Win32 Release" && "$(CFG)" != "php_602sql - Win32 Debug"
!MESSAGE Invalid configuration "$(CFG)" specified.
!MESSAGE You can specify a configuration when running NMAKE
!MESSAGE by defining the macro CFG on the command line. For example:
!MESSAGE
!MESSAGE NMAKE /f "php_602sql.mak" CFG="php_602sql - Win32 Debug"
!MESSAGE
!MESSAGE Possible choices for configuration are:
!MESSAGE
!MESSAGE "php_602sql - Win32 Release" (based on "Win32 (x86) Dynamic-Link Library")
!MESSAGE "php_602sql - Win32 Debug" (based on "Win32 (x86) Dynamic-Link Library")
!MESSAGE
!ERROR An invalid configuration is specified.
!ENDIF

!IF "$(OS)" == "Windows_NT"
NULL=
!ELSE
NULL=nul
!ENDIF

CPP=cl.exe
MTL=midl.exe
RSC=rc.exe

PHP_INCLUDES=/I "$(PHPSRCDIR)" /I "$(PHPSRCDIR)main" /I "$(PHPSRCDIR)Zend" /I "$(PHPSRCDIR)TSRM"
PHP_DEFINES=/DPHP_602SQL /DHAVE_602SQL /DZEND_DEBUG=0 /DZEND_WIN32 /DCOMPILE_DL_602SQL /DZTS /DPHP_WIN32
PHPVER_DEFINES=/D PHPVER=$(PHPVER) /D PHPVERS_STR=\"$(PHPVER)\" /D PHPVERS_STR_NULL=\"$(PHPVER)\\0\"
SQL602_INCLUDES=/I "$(SQL602INCDIR)"
!IF $(ENABLE_XML_IMPORT_EXPORT)==1 && $(ENABLE_XML_RESPONSE)==1
SQL602_DEFINES=/DWINS /DENABLE_XML_IMPORT_EXPORT /DENABLE_XML_RESPONSE
!ELSEIF $(ENABLE_XML_IMPORT_EXPORT)==1
SQL602_DEFINES=/DWINS /DENABLE_XML_IMPORT_EXPORT
!ELSEIF $(ENABLE_XML_RESPONSE)==1
SQL602_DEFINES=/DWINS /DENABLE_XML_RESPONSE
!ELSE
SQL602_DEFINES=/DWINS
!ENDIF
!IF $(PHPVERMAJ)==4
PHP_LIBS=php4ts.lib
!ELSEIF $(PHPVERMAJ)==5
PHP_LIBS=php5ts.lib
!ELSE
!ERROR Invalid/unsupported PHP version $(PHPVER).
!ENDIF

!IF  "$(CFG)" == "php_602sql - Win32 Release"

OUTDIR=.\Release-$(PHPVER)
INTDIR=.\Release-$(PHPVER)
# Begin Custom Macros
OutDir=.\Release-$(PHPVER)
# End Custom Macros

ALL : "$(DISTRIBDIR)\php-$(PHPVER)\$(MODNAME).dll"


CLEAN :
	-@erase "$(INTDIR)\mod602sql.obj"
	-@erase "$(INTDIR)\mod602sql.res"
	-@erase "$(INTDIR)\mod602sql.sbr"
	-@erase "$(INTDIR)\vc60.idb"
	-@erase "$(OUTDIR)\$(MODNAME).bsc"
	-@erase "$(OUTDIR)\$(MODNAME).dll"
	-@erase "$(OUTDIR)\$(MODNAME).exp"
	-@erase "$(OUTDIR)\$(MODNAME).lib"
	-@erase "$(OUTDIR)\$(MODNAME).pch"
	-@erase "$(DISTRIBDIR)\php-$(PHPVER)\$(MODNAME).dll"

"$(DISTRIBDIR)\php-$(PHPVER)\$(MODNAME).dll" : "$(DISTRIBDIR)\php-$(PHPVER)" "$(OUTDIR)\$(MODNAME).dll"
	copy "$(OUTDIR)\$(MODNAME).dll" "$(DISTRIBDIR)\php-$(PHPVER)\$(MODNAME).dll"

"$(DISTRIBDIR)\php-$(PHPVER)" :
	if not exist "$(DISTRIBDIR)\php-$(PHPVER)\$(NULL)" mkdir "$(DISTRIBDIR)\php-$(PHPVER)"

"$(OUTDIR)" :
    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

CPP_PROJ=/nologo /MT /W3 /GX /O2 /D "NDEBUG" /D "WIN32" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "PHP_602SQL_EXPORTS" /FR"$(INTDIR)\\" $(PHP_INCLUDES) $(SQL602_INCLUDES) /Fp"$(INTDIR)\$(MODNAME).pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c $(PHP_DEFINES) $(PHPVER_DEFINES) $(SQL602_DEFINES)
MTL_PROJ=/nologo /D "NDEBUG" /mktyplib203 /win32
BSC32=bscmake.exe
BSC32_FLAGS=/nologo /o"$(OUTDIR)\$(MODNAME).bsc"
BSC32_SBRS= \
	"$(INTDIR)\mod602sql.sbr"

RSC=rc.exe
RSC_PROJ=/l 0x409 /fo"$(INTDIR)\mod602sql.res" /d "NDEBUG" $(PHPVER_DEFINES) /i "$(SQL602INCDIR)"

"$(OUTDIR)\$(MODNAME).bsc" : "$(OUTDIR)" $(BSC32_SBRS)
    $(BSC32) @<<
  $(BSC32_FLAGS) $(BSC32_SBRS)
<<

LINK32=link.exe
LINK32_FLAGS=$(SQL602_LIBS) $(PHP_LIBS) kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /dll /incremental:no /pdb:"$(OUTDIR)\$(MODNAME).pdb" /machine:I386 /out:"$(OUTDIR)\$(MODNAME).dll" /implib:"$(OUTDIR)\$(MODNAME).lib" /libpath:"$(SQL602LIBDIR)" /libpath:"$(PHPLIBDIR)"
LINK32_OBJS= \
	"$(INTDIR)\mod602sql.obj" \
	"$(INTDIR)\mod602sql.res"

"$(OUTDIR)\$(MODNAME).dll" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
    $(LINK32) @<<
  $(LINK32_FLAGS) $(LINK32_OBJS)
<<

!ELSEIF  "$(CFG)" == "php_602sql - Win32 Debug"

OUTDIR=.\Debug
INTDIR=.\Debug
# Begin Custom Macros
OutDir=.\Debug
# End Custom Macros

ALL : "$(OUTDIR)\$(MODNAME).dll"


CLEAN :
	-@erase "$(INTDIR)\mod602sql.obj"
	-@erase "$(INTDIR)\mod602sql.res"
	-@erase "$(INTDIR)\vc60.idb"
	-@erase "$(INTDIR)\vc60.pdb"
	-@erase "$(OUTDIR)\$(MODNAME).dll"
	-@erase "$(OUTDIR)\$(MODNAME).exp"
	-@erase "$(OUTDIR)\$(MODNAME).ilk"
	-@erase "$(OUTDIR)\$(MODNAME).lib"
	-@erase "$(OUTDIR)\$(MODNAME).pdb"

"$(OUTDIR)" :
    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

CPP_PROJ=/nologo /MTd /W3 /Gm /GX /ZI /Od /D "_DEBUG" /D "WIN32" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "PHP_602SQL_EXPORTS" /Fp"$(INTDIR)\$(MODNAME).pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c $(PHP_INCLUDES) $(SQL602_INCLUDES) $(SQL602_DEFINES) $(PHPVER_DEFINES) $(PHP_DEFINES)
MTL_PROJ=/nologo /D "_DEBUG" /mktyplib203 /win32
BSC32=bscmake.exe
BSC32_FLAGS=/nologo /o"$(OUTDIR)\$(MODNAME).bsc"
BSC32_SBRS= \

RSC=rc.exe
RSC_PROJ=/l 0x409 /fo"$(INTDIR)\mod602sql.res" /d "_DEBUG" $(PHPVER_DEFINES) /i "$(SQL602INCDIR)"

LINK32=link.exe
LINK32_FLAGS=$(SQL602_LIBS) $(PHP_LIBS) kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /dll /incremental:yes /pdb:"$(OUTDIR)\$(MODNAME).pdb" /debug /machine:I386 /out:"$(OUTDIR)\$(MODNAME).dll" /implib:"$(OUTDIR)\$(MODNAME).lib" /libpath:"$(SQL602LIBDIR)" /libpath:"$(PHPLIBDIR)" /pdbtype:sept
LINK32_OBJS= \
	"$(INTDIR)\mod602sql.obj" \
	"$(INTDIR)\mod602sql.res"

"$(OUTDIR)\$(MODNAME).dll" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
    $(LINK32) @<<
  $(LINK32_FLAGS) $(LINK32_OBJS)
<<

!ENDIF

{$(SOURCEDIR)}.c{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $<
<<

{$(SOURCEDIR)}.cpp{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $<
<<

{$(SOURCEDIR)}.cxx{$(INTDIR)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $<
<<

{$(SOURCEDIR)}.c{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $<
<<

{$(SOURCEDIR)}.cpp{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $<
<<

{$(SOURCEDIR)}.cxx{$(INTDIR)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $<
<<


!IF "$(NO_EXTERNAL_DEPS)" != "1"
!IF EXISTS("php_602sql.dep")
!INCLUDE "php_602sql.dep"
!ELSE
#!MESSAGE Warning: cannot find "php_602sql.dep"
!ENDIF
!ENDIF


!IF "$(CFG)" == "php_602sql - Win32 Release" || "$(CFG)" == "php_602sql - Win32 Debug"
SOURCE=$(SOURCEDIR)\mod602sql.c

!IF  "$(CFG)" == "php_602sql - Win32 Release"


"$(INTDIR)\mod602sql.obj"	"$(INTDIR)\mod602sql.sbr" : $(SOURCE) "$(INTDIR)"


!ELSEIF  "$(CFG)" == "php_602sql - Win32 Debug"


"$(INTDIR)\mod602sql.obj" : $(SOURCE) "$(INTDIR)"


!ENDIF

SOURCE=$(SOURCEDIR)\mod602sql.rc

"$(INTDIR)\mod602sql.res" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
	@echo off 
	$(RSC) $(RSC_PROJ) $(SOURCE)


!ENDIF

